# Code of Conduct

> [!TIP]
> We expect all interactions with our projects, community, and platforms to follow this Code of Conduct.

> [!NOTE]
> "Our community" refers to our Discord server, GitHub accounts, and any other platform on which members can interact with each other. "Community leaders" refers to our staff team, including moderators, developers, support staff, and administrators.

> [!DANGER]
> Due to the heavy nature of topics discussed in our community, and to ensure the comfort of all of our members, participants must be 18 years or older to interact with us.
> Exceptions are made for the professional platforms listed on [our contact page](/contact)

We are dedicated to providing a safe and harassment-free experience for everyone. We do not tolerate harassment of participants in any form.

Members must be at least 18 years of age to participate in our community.

## Scope

This code of conduct applies to all of our community spaces, including public channels, private channels and direct messages, both online and off. This code of conduct also applies to non-community spaces when a community member is involved. If you are being harassed by a member of our community outside our spaces, we want to know about it. We will take all good-faith reports of harassment by our community members, especially community leaders, seriously. This includes harassment outside our spaces and harassment that took place at any point in time. Community leaders reserve the right to exclude people from our community based on their past behaviour, including behaviour outside our community spaces and behaviour towards people who are not in our community.

## Rules

- No trolling or insulting/derogatory comments.
- No harassment, whether public or private.
- No questioning or challenging someone’s stated self-identity or chosen labels, even if they conflict with your views. For example, discussions about bi vs pan, trans vs trans\*, or whether grey/demisexual people are asexual, even if well-intentioned.
- No incitement of violence towards any individual, including encouraging a person to commit suicide or to engage in self-harm.
- No deliberate “outing” of any aspect of a person’s identity without their consent except as necessary to protect vulnerable people from intentional abuse. This includes physical or electronic addresses, legal names, etc.
- No publication of non-harassing private communication, without explicit consent from all parties.
- No advocating for members to be banned, except in direct messages, or private discussions with community leaders.
- No unwelcome comments regarding a person’s lifestyle choices and practices, including those related to food, health, parenting, relationships, drugs, and employment.
- No explicit sexual images or behaviour.
- No offensive comments related to gender, gender identity and expression, sexual orientation, disability, mental illness, neuro(a)typicality, physical appearance, body size, age, race, national origin, ethnic origin, nationality, immigration status, language, religion or lack thereof, or other identity marker.
- No use or abuse of “Reverse”-isms, including “reverse racism,” “reverse sexism,” and “cisphobia” against marginalized members. “Reverse”-isms and any concepts that uphold and bulwark white and privileged supremacies out of the context of challenging it will be shut down.
- No debating the rights and lived experiences of marginalized people in the community.
- No racist, sexist, cissexist, ableist or otherwise oppressive behaviour is allowed, casual or explicit. This includes any harmful language, behaviour, or action toward people of colour, trans folks, disabled and other marginalized identities in our community. These are violations of the Code of Conduct.
- No use of slurs or hateful terminology.
- No spam or excessive self-promotion.

### Harassment

Harassment includes:

- Deliberate misgendering or use of “dead” or rejected names
- Physical contact and simulated physical contact (eg, textual descriptions like “hug” or “backrub”) without consent or after a request to stop
- Threats of violence
- Deliberate intimidation
- Stalking or following
- Unwanted photography or recording, including logging online activity for harassment purposes
- Unwelcome sexual attention
- Pattern of inappropriate social contact, such as requesting/assuming inappropriate levels of intimacy with others
- Continued one-on-one communication after requests to cease
- Targeted and deliberate aggression.

## No AI

We firmly believe in the rights of creators and the importance of their work. Because AI models are oft trained on data scraped from the internet, or acquired through shady and vague terms of service, content generated or modified by AI is not permitted within our community.

Exceptions may be made in specific cases where you can evidence that the model was trained only on consensually given data. Such exceptions must be requested from Naomi **before** sharing the content within any of our community spaces.

## Reporting

If you see a violation or have any other concerns, please contact our community leaders by typing `@Moderator` in our Discord server, or contact a leader directly via DM. If the violator is on our staff team, they will recuse themselves from handling your incident and will be investigated further by the rest of the team. We will respond as promptly as we can.

To protect our volunteers from abuse and burnout, we reserve the right to reject any report we believe to have been made in bad faith. Reports intended to silence legitimate criticism may be deleted without response.

We will respect confidentiality requests for the purpose of protecting victims of abuse. At our discretion, we may publicly name a person about whom we’ve received harassment complaints, or privately warn third parties about them, if we believe that doing so will increase the safety of our community members or the general public. We will not name harassment victims without their affirmative consent.

## Consequences

Participants asked to stop any harmful behaviour are expected to comply immediately.

If a participant engages in harmful behaviour, community leaders may take any action they deem appropriate, up to and including expulsion from all of our community spaces and identification of the participant as a harasser to other community members or the general public.

All community leaders are obligated to respect the privacy and security of the reporter of any incident.

## Enforcement

Community leaders have the right and responsibility to remove, edit, or reject chat messages, comments, commits, code, issues, and other contributions that are not aligned with this Code of Conduct. By adopting this Code of Conduct, the community leaders commit themselves to fairly and consistently applying these principles to every aspect of managing this project. Community leaders who do not follow or enforce the Code of Conduct may be permanently removed from the project team.

Community leaders will follow these Community Impact Guidelines in determining the consequences for any action they deem in violation of this Code of Conduct:

### 1. Reminder

**Example Behaviour**: Use of inappropriate language or other behaviour deemed unprofessional or unwelcome in the community.

**Consequence**: A public, written reminder from community leaders, providing clarity around the nature of the violation and an explanation of why the behaviour was inappropriate. A public apology may be requested.

### 2. Warning

**Example Behaviour**: A violation through a single incident or series of actions.

**Consequence**: A warning with consequences for continued behaviour. Warnings are logged in our staff records for future review.

### 3. Temporary Removal

**Example Behaviour**: A serious violation of community standards, including sustained inappropriate behaviour.

**Consequence**: A temporary removal (on Discord, a kick) from our communities. Members will be permitted to rejoin at their discretion, but are **highly** encouraged to re-read this document and solidify their understanding of our community expectations.

### 4. Permanent Ban

**Example Behaviour**: Demonstrating a pattern of violation of community standards, including sustained inappropriate behaviour, harassment of an individual, or aggression toward or disparagement of classes of individuals.

**Consequence**: A permanent ban from all of our community platforms.

## Moderation Logs

Our community platforms are meant to belong to all members of our community. Our moderation team are trusted with tools to help keep the community spaces safe, but they are still accountable to the community members.

As such, **all moderation actions** across **all platforms** are publicly logged in our `#moderation-log` channel in the [Discord community](https://chat.nhcarrigan.com).

## Attribution

This Code of Conduct is adapted from the [Contributor Covenant](https://www.contributor-covenant.org/version/2/1/code_of_conduct.html), version 2.1 and the [LGBTQ in Tech Code of Conduct](https://lgbtq.technology/coc.html)
