# Naomi's Public License

All of Our Open Source Software are licensed under these terms.

## 1. Definitions

### 1.1. `Software`

- The code, documentation text, and other related materials licensed under this License.

### 1.2. `Assets`

- The non-Software copyrighted materials, such as images, logos, and names.

### 1.3. `Package`

- Software specifically bundled to be used in other Works.

### 1.4. `We`, `Us`, and `Our`

- Naomi Carrigan, and her software consulting firm NHCarrigan.

### 1.5. `You` and `Your`

- The individual or entity exercising the rights granted under this License.

### 1.5. `Contributor(s)`

- An individual or entity who contributes to the Software.

### 1.6. `Contribution(s)`

- Any work submitted by a Contributor to the Software, such as Source Code or Assets.

### 1.7. `Source Code`

- The code in its original form, as written by the author(s).

### 1.8. `Open Source`

- Software where the Source Code has been made publicly available under this License.

### 1.9. `License`

- This document.

### 1.10. `Works`

- Any works derived from the Software, such as modifications, distributions, and incorporations.

## 2. Use of Software

This license grants You the right to use Our Open Source software under the following terms.

### 2.1. Do No Harm

You may not use Our Software in any way that may cause harm to Us, Our Software, or Our Assets. Additionally, You may not use Our Software in any way that may cause harm to other individuals or entities.

### 2.2. Code of Conduct

Use of Our Software must not be in violation of Our [Code of Conduct](https://docs.nhcarrigan.com/#/coc).

### 2.3. Source Control

Custom instances of Our Software must remain Open Source under this License.

## 3. Modification of Software

Modifications of Our Software are permitted under the following terms.

### 3.1. Licensing

All modifications of Our Software must be licensed under this License.

### 3.2. Attribution

All modifications of Our Software must be attributed to the original author(s) of the Software.

## 4. Incorporation of Software

Elements of Our Software, such as code snippets, may be incorporated into other Works under the following terms.

### 4.1. Licensing

The specific elements of Our Software used in another Work must be made available under this License. The portions of the project that are not incorporated from Our Software may be licensed under any terms.

### 4.2. Attribution

The specific elements of Our Software used in another must be attributed to the original author(s) of the Software.

## 5. Use of Packages

Certain Software may be packaged and distributed specifically for use in other Works. Software that We distribute in such a manner may be used in other Works under the following terms.

### 5.1. Source Code

Works that solely use Our Packages, and do not incorporate any other elements of Our Software, are not required to provide a link to the Source Code of Our Software.

### 5.2. Attribution

Works that solely use Our Packages, and do not incorporate any other elements of Our Software, are not required to provide copyright acknowledgement or attribution.

### 5.3. Behaviour

Works that solely use Our Packages, and do not incorporate any other elements of Our Software, are still required to follow our [Code of Conduct](https://docs.nhcarrigan.com/#/coc).

## 6. Distribution

Our Software, as well as any Works derived from Our Software, may be distributed under the following terms.

### 6.1. Source Code

Any Works that are publicly hosted must link to:

- The Source Code for the Work, if the Work falls under Section 2.
- The Source Code for incorporations of or modifications to Our Software, if the Work falls under Sections 3 or 4.

### 6.2. Attribution

Any Works that are publicly hosted must provide copyright acknowledgement:

- Complete copyright acknowledgement to Naomi Carrigan, if the Work falls under Section 2.
- Partial copyright acknowledgement to Naomi Carrigan, if the Work falls under Sections 3 or 4.

## 7. Assets

Any non-Software Asset, unless specifically provided with the Source Code of Our Software, may not be used in any Modifications, Incorporations, or Distributions of Our Software.

Assets specifically belong to Us, and the License does not grant any rights to reuse, modification, or distribution of Assets.

Prior versions of Our Software may have included Assets which were removed in a later version. The removal of an Asset from Our Source Code constitutes a revocation of the rights to use said Asset.

## 8. Contributions

By making contributions to the software, whether in the form of code, documentation, or any other material, You agree to the following:

### 8.1 Grant of Copyright

You hereby grant Us and Our successors a perpetual, worldwide, non-exclusive, royalty-free, irrevocable license to use, reproduce, modify, distribute, sublicense, and otherwise exploit Your Contributions, including any intellectual property rights therein, in any manner and for any purpose, without any obligation to provide attribution or compensation.

You retain all copyright over Your individual Contributions, and may use Your Contributions in Works outside of this License. Contributing to Our Software does not grant any copyright over the Software, with or without your Contributions.

### 8.2 Licensing of Contributions

All contributions You make to the Software will be licensed under the same terms and conditions as the original Software, subject to the terms of this License. You understand and acknowledge that Your Contributions will become an integral part of the software and will be subject to the same rights and obligations as the original codebase.

### 8.3 Representation

You represent and warrant that You have the necessary rights to grant the above License and that Your Contributions do not infringe upon the intellectual property rights or other legal rights of any third party.

## 9. Warranty

The software provided under this license is provided "as is," without warranty of any kind, express or implied, including but not limited to the warranties of merchantability, fitness for a particular purpose, and non-infringement. The entire risk as to the quality and performance of the software is with You. Should the software prove defective, You assume the cost of all necessary servicing, repair, or correction.

## 10. Limitation of Liability

In no event unless required by applicable law or agreed to in writing will We or Our Contributors be liable to You for damages, including any general, special, incidental, or consequential damages arising out of the use or inability to use the software (including but not limited to loss of data or data being rendered inaccurate or losses sustained by You or third parties), even if We or Our Contributors have been advised of the possibility of such damages.

Absolutely no liability will be held for Modifications or Incorporations of the Software. You are solely responsible for any damages caused by Your Modifications or Incorporations.

## 11. Your Responsibility

You acknowledge and agree that Your use of the software is at Your sole risk and discretion, and You are solely responsible for any loss or damage to Your computer system or other device, or loss of data that results from such use. You are also responsible for ensuring that Your use of the software complies with all applicable laws and regulations.

## 12. Enforcement

Enforcement of this License will be done at Our discretion. A decision not to enforce a License violation will not preclude Us from enforcing that violation or any other violation of this License in the future.

## 13. Termination

This License is effective until terminated. We may, at Our sole discretion, terminate this License at any time, with or without cause, and with or without notice. Upon termination, You shall cease all use of the software and destroy all copies, full or partial, of the software in Your possession.

Termination of this License shall not relieve You of any obligations or liabilities accrued prior to the termination date, including but not limited to any indemnification obligations and limitations of liability outlined in this License.

Breach of any terms or conditions of this License shall result in the immediate termination of this License.

## 14. License Versions

Versioning of this license is managed through GitHub. You may view the version history [in these commits](https://github.com/nhcarrigan/general-documentation/commits/main/docs/license.md).

### 14.1 Future License Changes

We reserve the right to modify the terms of this License, including its licensing of Contributions, at its sole discretion. In the event that such changes are made, We will make reasonable efforts to notify You through Our [chat channels](https://chat.nhcarrigan.com).

### 14.2 Version Perpetuation

All Works derived from this Software must be licensed under the latest version of this License. This includes Works that are modifications or incorporations of the Software.

Changes to this License retroactively apply to all Works derived from this Software, even those created before the date of the changes.

### 14.3 Last Updated

The terms of this License were last modified on 20 August 2023.

## 15. Contact

If you have questions about this License, We may be reached in Our [chat server](https://chat.nhcarrigan.com).

### 15.1. Suggestions

This License is a living document. We are happy to hear suggestions about the terms of this License. Please reach out to Us in Our chat server.
